/*
   Copyright (c) 2014 by Plexim GmbH
   All rights reserved.

   A free license is granted to anyone to use this software for any legal
   non safety-critical purpose, including commercial applications, provided
   that:
   1) IT IS NOT USED TO DIRECTLY OR INDIRECTLY COMPETE WITH PLEXIM, and
   2) THIS COPYRIGHT NOTICE IS PRESERVED in its entirety.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
   SOFTWARE.
 */

#ifndef _INCLUDES_H_
#define _INCLUDES_H_

#undef KEEP_POWERSTAGE_OFF

#define SYSCLK_HZ (80000000l)
#define LSPCLK_HZ (SYSCLK_HZ / 4l)

#define RA_TIMEOUT 200

#include <xdc/std.h>
#include <xdc/runtime/Log.h>
#include <xdc/runtime/Types.h>
#include <ti/sysbios/BIOS.h>
#include <ti/sysbios/knl/Task.h>
#include <ti/sysbios/knl/Semaphore.h>
#include <ti/sysbios/family/c28/Timer.h>

#include "memtypes.h"
#include "pu.h"
#include "macros.h"
#include "control.h"
#include "gpio.h"
#include "calib.h"
#include "sci.h"

#include "F2806x_Device.h"
#include "F2806x_Examples.h"
#include "F2806x_SysCtrl.h"
#include "f2806xbmsk.h"
#include "pwm.h"
#include "hall.h"
#include "adc.h"

//includes for PIL
#include "pil.h"
#include "pil_ctrl.h"
#include "pil_codeid.h"

#endif
