/*
   Copyright (c) 2014 by Plexim GmbH
   All rights reserved.

   A free license is granted to anyone to use this software for any legal
   non safety-critical purpose, including commercial applications, provided
   that:
   1) IT IS NOT USED TO DIRECTLY OR INDIRECTLY COMPETE WITH PLEXIM, and
   2) THIS COPYRIGHT NOTICE IS PRESERVED in its entirety.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
   SOFTWARE.
 */

#ifndef IO_H_
#define IO_H_

#include "pil.h"

struct ANALOG_INPUTS {
	PIL_OVERRIDE_PROBE(int16_t, Iu);
	PIL_OVERRIDE_PROBE(int16_t, Iv);
	PIL_OVERRIDE_PROBE(int16_t, Iw);
	PIL_OVERRIDE_PROBE(int16_t, Vdc);

	uint16_t IuOffset;
	uint16_t IvOffset;
};

struct ADC_OPROBES
{
	PIL_OVERRIDE_PROBE(Uint16, ADCRESULT0);
	PIL_OVERRIDE_PROBE(Uint16, ADCRESULT1);
	PIL_OVERRIDE_PROBE(Uint16, ADCRESULT2);
};

extern struct ANALOG_INPUTS AIn;
extern struct ADC_OPROBES AdcOvrProbes;

extern void InitGPIO();
extern void InitADC();
extern void InitPWM(uint16_t aPeriod);

#endif
