/*
   Copyright (c) 2014 by Plexim GmbH
   All rights reserved.

   A free license is granted to anyone to use this software for any legal
   non safety-critical purpose, including commercial applications, provided
   that:
   1) IT IS NOT USED TO DIRECTLY OR INDIRECTLY COMPETE WITH PLEXIM, and
   2) THIS COPYRIGHT NOTICE IS PRESERVED in its entirety.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
   SOFTWARE.
 */

#ifndef INCLUDES_H_
#define INCLUDES_H_

#define SYSCLK_HZ (150000000l) // note: this must match M3 configuration
#define LSPCLK_HZ (SYSCLK_HZ / 4l)

#define PLX_CPU_RATE     6.667L    // for a 150MHz CPU clock speed (PLLSYSCLK)
#define PLX_DELAY_US(A)  DSP28x_usDelay( \
        ((((long double) A * \
           1000.0L) / \
          (long double)PLX_CPU_RATE) - 9.0L) / 5.0L)

#define TASK2_PERIOD 10 // measured in Task 1 ticks
#define LED_PERIOD 10000

#define BAUD_RATE 115200L

/* XDCtools Header files */
#include <xdc/std.h>
#include <xdc/cfg/global.h>
#include <xdc/runtime/Error.h>
#include <xdc/runtime/IHeap.h>
#include <xdc/runtime/Memory.h>
#include <xdc/runtime/System.h>
#include "xdc/runtime/Types.h"

/* BIOS Header files */
#include <ti/sysbios/BIOS.h>
#include <ti/sysbios/heaps/HeapBuf.h>
#include <ti/sysbios/knl/Task.h>
#include <ti/sysbios/family/c28/Timer.h>
#include <ti/sysbios/knl/Semaphore.h>

#include "DSP28x_Project.h"
#include "F28M35x_Ipc_drivers.h"

#include "pil.h"
#include "pil_ctrl.h"
#include "pil_codeid.h"

#include "pu.h"
#include "calib.h"
#include "ipclink.h"
#include "io.h"
#include "control.h"
#include "main.h"
#include "macros.h"

#ifndef USE_DIRECT_LINK
#include "sci.h"
#endif

#endif /* INCLUDES_H_ */
